Subject: Emacs doesn't cope well if it can't access/create .emacs.d

From: Robert Prije <[email-masked]>
Date: Tue, 12 Mar 2013 09:35:55 +0800

If emacs can't reach or create .emacs.d it gets into a sort of half-loaded
state.

Here's an example of how this causes problems for me:

I often have processes spawn emacs for me using sudo.

My home directory has 700 permissions and exists on a root-squashed NFS
share. Consequently root can't reach it.

As a result, whenever I run sudo emacs on a file, it throws the error:

"Creating directory: Permission denied, /home/rprije/.emacs.d/"

in my minibuffer. It fails to load my file and I have to do C-x C-f on the
file to open it manually. If it's a temporarily created file, it often
loses the file completely and I can't regain it.

I'd have expected running with -Q or -q would help but it sadly makes no
difference.

$ emacs --version
GNU Emacs 23.2.1